## ros-kinetic-asmach 1.0.15

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(asmach)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED )

catkin_package(
    DEPENDS # TODO add dependencies
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

=== debian/changelog ===
ros-kinetic-asmach (1.0.15-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 19 Mar 2019 07:00:00 -0000

ros-kinetic-asmach (1.0.13-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 18 Mar 2019 07:00:00 -0000

ros-kinetic-asmach (1.0.12-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 26 Feb 2019 08:00:00 -0000

ros-kinetic-asmach (1.0.9-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-kinetic-asmach (1.0.8-0xenial) xenial; urgency=high

  * Fixed asmach
  * Removed rosbuild files
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 07:00:00 -0000

ros-kinetic-asmach (1.0.7-0xenial) xenial; urgency=high

  * Removed scripts
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 07:00:00 -0000

ros-kinetic-asmach (1.0.6-0xenial) xenial; urgency=high

  * Fixed rospy_DIR not found
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 07:00:00 -0000

ros-kinetic-asmach (1.0.5-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 06 Oct 2014 07:00:00 -0000

ros-kinetic-asmach (1.0.4-0xenial) xenial; urgency=high

  * Added asmach package
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-asmach
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/smach
Standards-Version: 3.9.2

Package: ros-kinetic-asmach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: SMACH, which stands for 'state machine', is a task-level architecture for rapidly creating complex robot behavior.
 At its core, SMACH is a ROS-independent Python library to build hierarchical state machines. SMACH is a new library that takes advantage of very old concepts in order to quickly create robust robot behavior with maintainable and modular code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-asmach//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
